uniform mat4 u_projTrans;
uniform float u_scale;
uniform float u_fontScale;

attribute vec4 a_position;
attribute vec2 a_texCoord0;
attribute vec4 a_color;

varying vec4 v_color;
varying vec2 v_texCoord;
varying float v_scale;
varying float v_fontScale;

void main() {
    gl_Position = u_projTrans * a_position;
    v_texCoord = a_texCoord0;
    v_color = a_color;
    v_scale = u_scale;
    v_fontScale = u_fontScale;
}