#ifdef GL_ES
precision highp float;
#endif

attribute vec4 a_position;
attribute vec4 a_color;
uniform mat4 u_projTrans;
uniform mat4 u_transform;
uniform float u_alpha;

varying vec4 v_color;
varying float v_alpha;
void main()
{
    v_alpha = u_alpha;
    v_color = a_color;
    gl_Position =  u_projTrans * u_transform * a_position * u_alpha;
}
