#ifdef GL_ES
precision lowp float;
#endif

attribute vec4 a_position;
attribute vec4 a_color;
attribute vec2 a_texCoord0;
uniform mat4 u_projTrans;


uniform float u_time;
uniform vec2 u_resolution;
uniform vec2 u_center;

varying vec2 v_resolution;
varying vec4 v_color;
varying vec4 v_position;
varying float v_time;
varying vec2 v_texCoords;
void main()
{
    v_texCoords = a_texCoord0;
    v_color = a_color;
    v_position = a_position;
    v_time = u_time;
    gl_Position =  u_projTrans * a_position;
}
